Bug 128830 - Bad: "calendar(1)" program missing
Bad: "calendar(1)" program missing
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: distribution (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: dff
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-29 23:40 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 17:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-07-29 23:40:30 EDT
The "calendar(1)" program is not a part of Red Hat Linux Enterprise 3.
Many long-term Unix users expect to find this program and use it to
send themselves e-mail reminders of appointments.  This program works
whether or not they are logged in.  It uses a plain text file for
data.  This program is a part of traditional Unix operating systems up
to and including FreeBSD.

This program is better in many respects than the GUI-based calendar
and personal information manager programs in that it works whether or
not a user is logged in, it works on a text-only login session and its
output is via e-mail.

Our users often travel to remote sites and forward their mail to the
remote site.  When they use "calendar(1)" they do not have to depend
on a Linux environment at the remote site, an MS Windows environment
at the remote site, etc.  They can view their appointments in a daily
e-mail message and use an ssh session back to their home account to
update their schedule.

It ain't pretty but it's portable.
Comment 2 Thomas Woerner 2004-08-16 06:17:14 EDT
There is no calendar in bc. bc is an arbitrary precision CALCULATOR
language.

Assigning to distribution.
Comment 3 dff 2004-10-29 17:39:51 EDT
We're not planning to add calendar(1) to RHEL 3 or future RHEL releases at this
time.

Note You need to log in before you can comment on or make changes to this bug.